Subject: Re: cooperation of cygwin and NuTCracker ??
From: Earnie Boyd <[email-masked]>
To: Frank Moehle <[email-masked]>, Heribert Dahms <[email-masked]>
Cc: [email-masked]
Date: Thu, 12 Oct 2000 04:40:23 -0700 (PDT)

--- Frank Moehle <[email-masked]> wrote:
> Earnie Boyd wrote:
> > 
> > I don't know NuTCracker but I do see a problem.
> > > LIBRARIES = -l<our own stuff.a> -lm
> > >
> > 
> > The problem is that you've use -lm.  Currently the libm.a is a symbolic
> link to
> > libcygwin.a and ld can't manage the same library with different names. 
> Remove
> > the -lm and see if that helps.
> 
> I removed the -lm line, but i still get the crash from the DLL that uses
> NuTCracker.
> 

Good (that you removed it).

> 
> To those of you who never heard about this "NuTCracker" thing:
> NuTCracker is "another" unix porting enviroment similar to cygwin.
> But it is also possible to port X11 application with NuTCracker,
> and it's also more expensive :-(
> 

Check out the xfree project at http://sources.redhat.com/cygwin/xfree/

> Back to my problem:
> Now i have to sides, which both have different POSIX implementations.
> 
> My hope is that these implementations do not interfere with each other,
> something like this
> 
>    our code +            |      anaport.dll (external)
>      cygwin1.dll   [DLL border]     +
> (printf, malloc, etc)    |      NutCracker libc
> 
> In fact, i do not even know if such a "DLL borderline" exists on NT.
> Is there some mechanism that allows a library to only export
> certain functions, and use some other external stuff privately only?
> 
> 
> Using "objdump -p" on the external DLL, i get a huge number of lines,
> starting with the one quoted below (second dump).
> What i understand is that the DLL needs a lot of "standard"
> function like printf, malloc, etc from another DLL called "nutlibc4.dll".
> Does this interfere with the function from cygwin1.dll, which our program is 
> compiled against ??
> 
> btw, we are using cygwin 1.1.4
> 

It ain't likely to work.  Mixing two C runtimes is bad news.  Can you use
anaport without the nut*.dll?  It looks as if the functions needed C functions
may be supported by Cygwin.

Cheers,

=====
Earnie Boyd
mailto:[email-masked]

---         <http://earniesystems.safeshopper.com>         ---
--- Cygwin: POSIX on Windows <http://gw32.freeyellow.com/> ---
---   Minimalist GNU for Windows <http://www.mingw.org/>   ---

__________________________________________________
Do You Yahoo!?
Get Yahoo! Mail - Free email you can access from anywhere!
http://mail.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]